Loading...
Searching...
No Matches
pdumodel::OutletGroup::PowerControlEvent Struct Reference

Event: Group switch operation has been invoked. More...

Inheritance diagram for pdumodel::OutletGroup::PowerControlEvent:

## Public Attributes

Outlet::PowerState | state
| Target power state, only valid if not cycling.
boolean | cycle
| Whether a power cycle operation was invoked.
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: Group switch operation has been invoked.

The documentation for this struct was generated from the following file:

- OutletGroup.idl